# Uses of Interface
com.sun.mirror.type.ArrayType

Packages that use ArrayType
Package
Description
com.sun.mirror.util
Utilities to assist in the processing of declarations and types.

## Uses of ArrayType in com.sun.mirror.util

Methods in com.sun.mirror.util that return ArrayType
Modifier and Type
Method
Description
`ArrayType`
Types.`getArrayType(TypeMirror componentType)`
Returns an array type with the specified component type.
Methods in com.sun.mirror.util with parameters of type ArrayType
Modifier and Type
Method
Description
`void`
SimpleTypeVisitor.`visitArrayType(ArrayType t)`
Visits an array type.
`void`
TypeVisitor.`visitArrayType(ArrayType t)`
Visits an array type.